# $Revision: 1.2 $, $Date: 2004/10/23 06:21:50 $
Summary:	Knock is a port-knocking server/client.
Summary(pl):	Knock jest serwerem/klientem "port-knocking"
Name:		knock
Version:	0.3.1
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://zeroflux.org/knock/%{name}-%{version}.tar.gz
# Source0-md5:	b51cbce9e12bd08f6e3cde787df5e934
Source1:	%{name}d.sysconfig
Source2:	%{name}d.init
URL:		http://zeroflux.org/knock/
Requires(post,postun):	/sbin/chkconfig
BuildRequires:  libpcap-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Knock is a port-knocking server/client. Port-knocking is a method
where a server can sniff one of its interfaces for a special "knock"
sequence of port-hits. When detected, it will run a specified event
bound to that port knock sequence. These port-hits need not be on open
ports, since we use libpcap to sniff the raw interface traffic. This
package contains the knock client.

%description -l pl
Knock jest serwerem/klientem nasuchujcym/pukajcym do portw. Klient
poprzez prby czenia si w okrelonej kolejnoci z odpowiednimi
portami (niekoniecznie otwartymi) powoduje wywoanie wczeniej
okrelonej czynnoci. Ten pakiet zawiera klienta.

%package server
Group:		Applications/System
Summary:	Knock is a port-knocking server/client.
Summary(pl):	Knock jest serwerem/klientem "port-knocking"
Requires(post,preun):	/sbin/chkconfig

%description server
Knock is a port-knocking server/client. Port-knocking is a method
where a server can sniff one of its interfaces for a special "knock"
sequence of port-hits. When detected, it will run a specified event
bound to that port knock sequence. These port-hits need not be on open
ports, since we use libpcap to sniff the raw interface traffic. This
package contains the knockd server.

%description server -l pl
Knock jest serwerem/klientem nasuchujcym/pukajcym do portw. Klient
poprzez prby czenia si w okrelonej kolejnoci z odpowiednimi
portami (niekoniecznie otwartymi) powoduje wywoanie wczeniej
okrelonej czynnoci. Ten pakiet zawiera serwer.

%prep
%setup -q

%build
%configure
%{__make}

sed -i 's/^/#/' knockd.conf

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/knockd
install -D %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/knockd

%clean
rm -rf $RPM_BUILD_ROOT

%post server
/sbin/chkconfig --add knockd
if [ -f /var/lock/subsys/knockd ]; then
        /etc/rc.d/init.d/knockd restart 1>&2
else
        echo "Run \"/etc/rc.d/init.d/knockd start\" to start knockd daemon."
fi

%preun server
if [ "$1" = "0" ]; then
        if [ -f /var/lock/subsys/knockd ]; then
                /etc/rc.d/init.d/knockd stop 1>&2
        fi
        /sbin/chkconfig --del knockd
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/%{name}.*

%files server
%defattr(644,root,root,755)
%doc README ChangeLog TODO
%attr(755,root,root) %{_sbindir}/*
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/*
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/*.conf
%attr(754,root,root) /etc/rc.d/init.d/*
%{_mandir}/man?/%{name}d.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: knock.spec,v $
Revision 1.2  2004/10/23 06:21:50  snurf
- small typo in pl desc

Revision 1.1  2004/10/22 23:23:01  radek
- new, by tomczyk at op onet pl

